Уязвимость BDU:2022-06969

Дата: 14.11.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-06969.

Наименование уязвимости: Уязвимость функции zgfx_decompress_segment() декодера ZGFX реализации протокола удалённого рабочего стола FreeRDP, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции zgfx_decompress_segment() декодера ZGFX реализации протокола удалённого рабочего стола FreeRDP связана с выходом операции за границы буфера при проверке длины входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Операционная система ООО «Ред Софт» РЕД ОС 7.3 | Операционная система АО «ИВК» Альт 8 СП — | Операционная система Canonical Ltd. Ubuntu 22.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 9 | Операционная система Canonical Ltd. Ubuntu 22.10 | Прикладное ПО информационных систем Free software foundation FreeRDP до 2.9.0 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1804 LTS | Red Hat Enterprise Linux 8 | Ubuntu 2004 LTS | РЕД ОС 73 | Альт 8 СП — | Ubuntu 2204 LTS | Red Hat Enterprise Linux 9 | Ubuntu 2210 |
Дата выявления: 14.11.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для FreeRDP:
https://github.com/FreeRDP/FreeRDP/commit/e865c24efc40ebc52e75979c94cdd4ee2c1495b0
https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-5w4j-mrrh-jjrm

Для Ред ОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для Ubuntu:
https://ubuntu.com/security/notices/USN-5734-1

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/CVE-2022-39316

Для ОС Альт 8 СП: установка обновления из публичного репозитория программного средства.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-39316.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://redos.red-soft.ru/support/secure/uyazvimosti/mnozhestvennye-uyazvimosti-freerdp-cve-2022-39319-cve-2022-39318-cve-2022-39317-cve-2022-41877-cve-2/?sphrase_id=88990
https://github.com/FreeRDP/FreeRDP/commit/e865c24efc40ebc52e75979c94cdd4ee2c1495b0
https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-5w4j-mrrh-jjrm
https://nvd.nist.gov/vuln/detail/CVE-2022-39316
https://ubuntu.com/security/notices/USN-5734-1
https://access.redhat.com/security/cve/CVE-2022-39316
https://altsp.su/obnovleniya-bezopasnosti/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *